CreateRepositoryVersion
Creates a repository version or updates a repository version if it already exists.
curl --request POST \
--url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/repository-versions \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
]
},
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": [
"<string>"
]
},
"spec": {
"last_commit_date": "2023-11-07T05:31:56Z"
},
"tenant_meta": {}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/repository-versions"
payload = {
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": ["<string>"]
},
"meta": {
"name": "<string>",
"annotations": {},
"description": "<string>",
"index_data": {},
"parent_kind": "<string>",
"parent_uuid": "<string>",
"tags": ["<string>"]
},
"spec": { "last_commit_date": "2023-11-07T05:31:56Z" },
"tenant_meta": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
context: {id: '<string>', type: 'CONTEXT_TYPE_UNSPECIFIED', tags: ['<string>']},
meta: {
name: '<string>',
annotations: {},
description: '<string>',
index_data: {},
parent_kind: '<string>',
parent_uuid: '<string>',
tags: ['<string>']
},
spec: {last_commit_date: '2023-11-07T05:31:56Z'},
tenant_meta: {}
})
};
fetch('https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/repository-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"id": "<string>",
"type": "CONTEXT_TYPE_UNSPECIFIED",
"tags": [
"<string>"
],
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"scan_object": {
"status": "STATUS_UNSPECIFIED",
"aisast_status": {
"force_full_indexing": true,
"full_index_started_time": "2023-11-07T05:31:56Z",
"last_full_index_sha": "<string>",
"last_full_index_time": "2023-11-07T05:31:56Z",
"last_partial_index_sha": "<string>",
"last_partial_index_time": "2023-11-07T05:31:56Z",
"last_scan_state": "AISAST_SCAN_STATE_UNSPECIFIED"
},
"endor_ignore_file_hash_map": {},
"scan_time": "2023-11-07T05:31:56Z"
},
"spec": {
"last_commit_date": "2023-11-07T05:31:56Z",
"version": {
"ref": "<string>",
"metadata": {},
"sha": "<string>"
}
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
The ingested information about a repository version.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Repository versions are associated with a tenant.
Response
A successful response.
The ingested information about a repository version.
Contexts keep objects from different scans separated.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of the repository version.
Was this page helpful?
